Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.enhance
Interface Verifier

All Known Implementing Classes:
  MetaDataVerifier

public interface Verifier

Interface capable of performing system verifications at enhancement time.

Inner Class Summary
`static class` | `Verifier.Error` An error.
`static class` | `Verifier.Msg` Represents a message to the user about the verification.
`static class` | `Verifier.Warning` A warning.

Method Summary
`void` | `clearMessages()` Clears the messages that have been accumulated from the verification thus far.
`Verifier.Msg[]` | `getMessages()` Returns the accumulated messages from the verification that has been performed thus far.
`boolean` | `isPostVerifier()` Returns `true` if this verifier should be run after enhancement.
`boolean` | `isPreVerifier()` Returns `true` if this verifier should be run before enhancement.
`void` | `reset()` Resets the state of this verifier to a clean state.
`void` | `setConfiguration(Configuration conf)` Sets the `Configuration` that this verifier should use for any settings.
`void` | `setMetaData(ClassMetaData meta)` Sets the `ClassMetaData` that this verifier should verify.
`void` | `verify()` Verify the metadata configured by `setMetaData(com.solarmetric.kodo.meta.ClassMetaData)`.

Method Detail

### setConfiguration

    public void setConfiguration(Configuration conf)

  Sets the `Configuration` that this verifier should use for any settings.

### setMetaData

    public void setMetaData(ClassMetaData meta)

  Sets the `ClassMetaData` that this verifier should verify.

### verify

    public void verify()

  Verify the metadata configured by `setMetaData(com.solarmetric.kodo.meta.ClassMetaData)`.

### getMessages

    public Verifier.Msg[] getMessages()

  Returns the accumulated messages from the verification that has been performed thus far.

### clearMessages

    public void clearMessages()

  Clears the messages that have been accumulated from the verification thus far.

### isPreVerifier

    public boolean isPreVerifier()

  Returns `true` if this verifier should be run before enhancement. It is valid for a verifier to return `true` from both `isPostVerifier()` and this method.

### isPostVerifier

    public boolean isPostVerifier()

  Returns `true` if this verifier should be run after enhancement. It is valid for a verifier to return `true` from both `isPreVerifier()` and this method.

### reset

    public void reset()

  Resets the state of this verifier to a clean state. This allows the enhancer to use a single verifier instance for multiple metadatas.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.